/// <reference path="../pb_data/types.d.ts" />
migrate((app) => {
  const collection = app.findCollectionByNameOrId("pbc_1568971955")

  // update field
  collection.fields.addAt(11, new Field({
    "hidden": false,
    "id": "number1329349942",
    "max": null,
    "min": null,
    "name": "song_duration",
    "onlyInt": false,
    "presentable": false,
    "required": false,
    "system": false,
    "type": "number"
  }))

  return app.save(collection)
}, (app) => {
  const collection = app.findCollectionByNameOrId("pbc_1568971955")

  // update field
  collection.fields.addAt(11, new Field({
    "hidden": false,
    "id": "number1329349942",
    "max": null,
    "min": null,
    "name": "song_end",
    "onlyInt": false,
    "presentable": false,
    "required": false,
    "system": false,
    "type": "number"
  }))

  return app.save(collection)
})
